import React from 'react';
import Ajv from 'ajv';
export interface AjvProps {
    ajv: Ajv;
}
export declare const withAjvProps: <P extends {}>(Component: React.ComponentType<AjvProps & P>) => (props: P) => JSX.Element;
export interface HandleChangeProps {
    handleChange: (path: string, data: any) => void;
}
export declare const withHandleChange: <P extends {}>(Component: React.ComponentType<P & HandleChangeProps>) => (props: P) => JSX.Element;
